Package org.apache.solr.client.solrj.request

# Class StreamingUpdateRequest

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<UpdateResponse>
org.apache.solr.client.solrj.request.CollectionRequiringSolrRequest<UpdateResponse>
org.apache.solr.client.solrj.request.AbstractUpdateRequest
org.apache.solr.client.solrj.request.StreamingUpdateRequest

All Implemented Interfaces:
  `Serializable`

public class StreamingUpdateRequest extends AbstractUpdateRequest
A simple update request which streams content to the server

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.AbstractUpdateRequest

`AbstractUpdateRequest.ACTION`

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Field Summary

### Fields inherited from class org.apache.solr.client.solrj.request.AbstractUpdateRequest

`commitWithin, params`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

## Constructor Summary

Constructors
Constructor
Description
`StreamingUpdateRequest(String path, String content, String contentType)`
`StreamingUpdateRequest(String path, Path data, String contentType)`
`StreamingUpdateRequest(String path, RequestWriter.ContentWriter contentWriter)`

## Method Summary

Modifier and Type
Method
Description
`RequestWriter.ContentWriter`
`getContentWriter(String expectedType)`
If a request object wants to do a push write, implement this method.

### Methods inherited from class org.apache.solr.client.solrj.request.AbstractUpdateRequest

`createResponse, getAction, getCommitWithin, getParams, isWaitSearcher, rollback, setAction, setAction, setAction, setAction, setAction, setAction, setAction, setCommitWithin, setParam, setParams, setWaitSearcher`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionRequiringSolrRequest

`requiresCollection`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getApiVersion, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getRequestType, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StreamingUpdateRequest

public StreamingUpdateRequest(String path, RequestWriter.ContentWriter contentWriter)

### StreamingUpdateRequest

public StreamingUpdateRequest(String path, String content, String contentType)

### StreamingUpdateRequest

public StreamingUpdateRequest(String path, Path data, String contentType)

## Method Details

### getContentWriter

public RequestWriter.ContentWriter getContentWriter(String expectedType)
Description copied from class: `SolrRequest`
If a request object wants to do a push write, implement this method.

Overrides:
  `getContentWriter` in class `SolrRequest<UpdateResponse>`
Parameters:
  `expectedType` - This is the type that the RequestWriter would like to get. But, it is OK to send any format